#!/opt/local/bin/zsh

setopt X_Trace;

if test "${USER}" = "root"; then
    if test ! -x "/opt/local/bin/gnat"; then
	port install	gcc43 +macada

	gcc_select mp-gcc43

	port destroot	gcc43 +ada
	port deactivate gcc43 +macada
	port activate	gcc43 +ada
    else
	gcc_select mp-gcc43
	port install	gcc43 +ada
    fi;

    port -f -k destroot     gmp
    port -f -k destroot     mpfr
    port -f -k destroot     libiconv
    port -f -k destroot     gcc43 +ada
    port mdmg		    gcc43 +ada
else
    sudo ${0};
fi;

# vim: set nowrap tabstop=8 shiftwidth=4 softtabstop=4 noexpandtab :
# vim: set textwidth=0 filetype=zsh foldmethod=marker nospell :
